<form [formGroup]="patientIdForm">
  <div class="row">
    <!-- Prefix  -->
    <div class="col-xl-8 d-flex align-items-center">
      <mat-form-field [appearance]="apperance" class="full-width">
        <mat-label>Prefix</mat-label>
        <input matInput placeholder="Prefix" formControlName="prefix" oninput="this.value = this.value.toUpperCase()" required (input)="onChangeEvent()"
               appCharLimit [frmGroup]="patientIdForm" fcName="prefix" [max]="10">

        <mat-error *ngIf="patientIdForm.get('prefix').hasError('exceedLimit')">
          {{patientIdForm.get('prefix').getError('exceedLimit')}}
        </mat-error>
      </mat-form-field>
    </div>

    <!-- Starting Number  -->
    <div class="col-xl-8 d-flex align-items-center">
      <mat-form-field [appearance]="apperance" class="full-width">
        <mat-label>Starting Number</mat-label>
        <input matInput placeholder="Starting Number" formControlName="startingNumber" required type="text" (input)="onChangeEvent()"
               appCharLimit [frmGroup]="patientIdForm" fcName="startingNumber" [max]="20">

        <mat-error *ngIf="patientIdForm.get('startingNumber').hasError('exceedLimit')">
          {{patientIdForm.get('startingNumber').getError('exceedLimit')}}
        </mat-error>
      </mat-form-field>
    </div>

    <!-- Suffix  -->
    <div class="col-xl-8 d-flex align-items-center">
      <mat-form-field [appearance]="apperance" class="full-width">
        <mat-label>Suffix</mat-label>
        <input matInput placeholder="Suffix" formControlName="suffix" oninput="this.value = this.value.toUpperCase()" (input)="onChangeEvent()"
               appCharLimit [frmGroup]="patientIdForm" fcName="suffix" [max]="10">

        <mat-error *ngIf="patientIdForm.get('suffix').hasError('exceedLimit')">
          {{patientIdForm.get('suffix').getError('exceedLimit')}}
        </mat-error>
      </mat-form-field>
    </div>

    <!-- Last Patient ID -->
    <div class="col-xl-8 d-flex align-items-center">
      <mat-form-field [appearance]="apperance" class="full-width">
        <mat-label>Last Patient ID</mat-label>
        <input matInput placeholder="Last Patient ID" disabled="true" [value]="lastPatientId" />
      </mat-form-field>
    </div>

    <!-- Preview  -->
    <div class="col-xl-8 d-flex align-items-center">
      <mat-form-field [appearance]="apperance" class="full-width">
        <mat-label>Preview</mat-label>
        <input matInput placeholder="Preview" disabled="true" [value]="preview" />
      </mat-form-field>
    </div>
  </div>
</form>

<div class="text-right control-row">
  <mat-divider class="ml-3 mr-3"></mat-divider>
  <div class="pt-3">
    <button mat-stroked-button color="accent" class="mr-3 footer-btn-customize" [routerLink]="['/settings']">
      Cancel
    </button>
    <button mat-raised-button color="accent" class="footer-btn-customize"
            *appAccess="moduleName;lookFor: ['C', 'E', 'D']"
            [disabled]="patientIdForm.invalid" (click)="submitPatientId()">
      Save
    </button>
  </div>
</div>
